package nl.kallestruik.riseofblocks.util;

import net.minecraft.world.item.DyeColor;
import net.minecraft.world.scores.Team;

import javax.annotation.Nullable;

public class TeamUtil {

    public static DyeColor getDyeColorForTeam(@Nullable Team team) {
        if (team == null) return DyeColor.WHITE;
        switch (team.getColor()) {
            case BLACK -> {
                return DyeColor.BLACK;
            }
            case DARK_BLUE, BLUE -> {
                return DyeColor.BLUE;
            }
            case DARK_GREEN -> {
                return DyeColor.GREEN;
            }
            case DARK_AQUA, AQUA -> {
                return DyeColor.CYAN;
            }
            case DARK_RED, RED -> {
                return DyeColor.RED;
            }
            case DARK_PURPLE -> {
                return DyeColor.PURPLE;
            }
            case GOLD -> {
                return DyeColor.ORANGE;
            }
            case GRAY -> {
                return DyeColor.LIGHT_GRAY;
            }
            case DARK_GRAY -> {
                return DyeColor.GRAY;
            }
            case GREEN -> {
                return DyeColor.LIME;
            }
            case LIGHT_PURPLE -> {
                return DyeColor.PINK;
            }
            case YELLOW -> {
                return DyeColor.YELLOW;
            }
            default -> {
                return DyeColor.WHITE;
            }

        }
    }
}
